# Class TableBorders

#### Hierarchy (view full)

- XmlComponent
  - TableBorders

- Defined in file/table/table-properties/table-borders.ts:26

#####
Index

### Constructors

constructor

### Properties

NONE

### Methods

addChildElement
prepForXml

##
Constructors

### constructor

- new TableBorders(options): TableBorders

- #### Parameters

  - options: ITableBordersOptions

  #### Returns TableBorders

  Overrides XmlComponent.constructor

  - Defined in file/table/table-properties/table-borders.ts:36

##
Properties

### `Static` `Readonly` NONE

NONE: {
bottom: {
color: string;
size: number;
style: "none";
};
insideHorizontal: {
color: string;
size: number;
style: "none";
};
insideVertical: {
color: string;
size: number;
style: "none";
};
left: {
color: string;
size: number;
style: "none";
};
right: {
color: string;
size: number;
style: "none";
};
top: {
color: string;
size: number;
style: "none";
};
} = ...

- Defined in file/table/table-properties/table-borders.ts:27

##
Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20